@shadow-color: #b8b8b8;
@resizable-width: 5px;

@select-width: 24px;
@run-width: 60px;
@remove-width: 80px;
@status-width: 60px;
@type-width: 60px;
@id-width: 80px;

.absolute() {
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
}

.job-select() {
    left: 0px;
    width: @select-width;
    text-align: center;
}

.job-run() {
    left: @select-width;
    width: @run-width;
    text-align: center;
}

.job-remove() {
    left: (@select-width + @run-width);
    width: @remove-width;
    text-align: center;
}

.job-status() {
    left: (@select-width + @run-width + @remove-width);
    width: @status-width;
    text-align: center;
}

.job-type() {
    left: (@select-width + @run-width + @status-width + @remove-width);
    width: @type-width;
    text-align: center;
}

.job-id() {
    left: (@select-width + @run-width + @status-width + @type-width + @remove-width + 5px);
    width: @id-width;
}

.job-cmd() {
    left: (@select-width + @run-width + @status-width + @type-width + @id-width + @remove-width + 10px);
    right: 0px;
}

.lcginspector {
    position: absolute;
    top: 0px;
    height: 100%;
    left: 0px;
    width: 100%;

    > .browser {
        position: absolute;
        top: 0px;
        height: 100%;
        left: 0px;
        width: 50%;

        > .inner {
            .absolute();
            padding: 20px 5px 10px 15px;
        }
    }

    > .queue {
        position: absolute;
        top: 0px;
        height: 100%;
        right: 0px;
        width: 50%;
        box-shadow: inset 1px 0px 0px @shadow-color;
        background-color: #f5f5f5;

        > .ui-resizable-w {
            position: absolute;
            top: 0px;
            height: 100%;
            left: 0px;
            width: @resizable-width;
            cursor: ew-resize;
        }

        > .inner {
            .absolute();
            left: 1px;
            box-shadow: inset 1px 0px 0px white;
            padding: 20px 5px 10px 5px;
        }
    }

    > div > .title {
        position: absolute;
        top: 0px;
        right: 0px;
        padding: 3px;
        font-size: 10px;
        font-weight: 700;
        color: #777;
        text-transform: uppercase;
        letter-spacing: 1px;
        border: 0px solid @shadow-color;
        border-width: 0px 0px 1px 1px;
        border-bottom-left-radius: 3px;
        background-color: #fff;
        cursor: pointer;

        &:hover {
            color: #444;
        }
    }

    .header {
        position: relative;
        width: 100%;
        height: 30px;
        margin-bottom: 10px;
        box-shadow: 0px 1px 0px @shadow-color;

        > div {
            position: absolute;
            top: 0px;
            height: 30px;
            font-size: 14px;
            color: #333;
            font-weight: bold;
        }

        > .select {
            .job-select();
        }

        > .run {
            .job-run();
        }

        > .remove {
            .job-remove();
        }

        > .status {
            .job-status();
        }

        > .type {
            .job-type();

        }

        > .id {
            .job-id();
            text-align: center;
        }

        > .cmd {
            .job-cmd();
            text-align: center;
        }
    }

    .job {
        position: relative;
        width: 100%;
        height: 30px;
        margin-bottom: 10px;

        > div:not(.tooltip) {
            position: absolute;
            top: 0px;
            padding-top: 4px;
            height: 30px;
            white-space: nowrap;
            overflow: hidden;
            font-size: 14px;
            color: #333;
        }

        > .select {
            .job-select();
        }

        > .run {
            .job-run();
        }

        > .remove {
            .job-remove();
        }

        > .status {
            .job-status();
        }

        > .type {
            .job-type();
        }

        > .id {
            .job-id();
        }

        > .cmd {
            .job-cmd();
        }

        .tooltip {
            top: 20px !important;
        }

        .tooltip-inner {
            max-width: 300px;
        }
    }

    .node {
        position: relative;
        width: 100%;

        > .title-wrapper {
            display: table;
            height: 24px;
            font-size: 14px;
            margin-bottom: 3px;

            > .handle {
                height: 24px;
                width: 24px;
                text-align: center;
                padding-top: 4px;
                margin-right: 4px;
            }

            > .title {
                display: table-cell;
                vertical-align: middle;
                height: 100%;
            }
        }

        > .nodes {
            display: none;
            padding-top: 2px;
            margin-left: 16px;
        }
    }
}
